Subject: Re: [patch] RFC: matching interface groups

From: Phil Oester <[email-masked]>
Date: Tue, 1 Aug 2006 11:46:55 -0700

On Tue, Aug 01, 2006 at 07:10:09PM +0200, Balazs Scheidler wrote:
> Each interface can belong to a single "group" at a time, an interface
> comes up without being a member in any of the groups.
> 
> Userspace can assign interfaces to groups after being created, this
> would typically be performed in /etc/ppp/ip-up.d (and similar) scripts.

Since in this scenario userspace is able to determine ppp vs pptp, 
could you not also do something like have an inbound_ppp and inbound_pptp
chain, then jump to the appropriate chain depending on type?  If you
need per-interface rules, then create an inbound_pppX chain, populate
it with rules, then jump to that chain if -i pppX.  In ip-down, just
delete the chain as well as the jump.

Phil